Package org.eclipse.jgit.internal.storage.dfs

## Class DfsText

- java.lang.Object
- - org.eclipse.jgit.nls.TranslationBundle
  - - org.eclipse.jgit.internal.storage.dfs.DfsText

    public class DfsText
    extends TranslationBundle

Translation bundle for the DFS storage implementation.

### Field Summary

Fields
`String` `cannotReadBackDelta`
`String` `cannotReadIndex`
`String` `shortReadOfBlock`
`String` `shortReadOfIndex`
`String` `unexpectedEofInPack`
`String` `willNotStoreEmptyPack`

### Constructor Summary

Constructors
`DfsText()`

### Method Summary

All Methods Static Methods Concrete Methods
`static DfsText` `get()`

### Methods inherited from class org.eclipse.jgit.nls.TranslationBundle

`effectiveLocale, resourceBundle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cannotReadIndex

    public String cannotReadIndex

#### cannotReadBackDelta

    public String cannotReadBackDelta

#### shortReadOfBlock

    public String shortReadOfBlock

#### shortReadOfIndex

    public String shortReadOfIndex

#### unexpectedEofInPack

    public String unexpectedEofInPack

#### willNotStoreEmptyPack

    public String willNotStoreEmptyPack

### Constructor Detail

#### DfsText

    public DfsText()

### Method Detail

#### get

    public static DfsText get()

Returns:
  instance of this translation bundle